const express = require("express");
var http = require("http");
const app = express();
const port = process.env.PORT || 3000;
var server = http.createServer(app);
var io = require("socket.io")(server);

app.use(express.json());

io.on("connection", (socket) => {
  socket.on("join-room", (roomID) => {
    socket.join(roomID);
  });
  // sending the points to the clients
  socket.on("paint", ({ details, roomID }) => {
    io.to(roomID).emit("points", details);
  });

  socket.on("clean-screen", (roomID) => {
    // sending the request to clean screen
    io.to(roomID).emit("clean-screen", "");
  });

  socket.on("stroke-width", ({ strokeWidth, roomID }) => {
    // sending the stroke width to clients
    io.to(roomID).emit("stroke-width", strokeWidth);
  });

  socket.on("color-change", async ({ color, roomID }) => {
    // sending new color to clients
    io.to(roomID).emit("color-change", color);
  });
});

// listening to the server
server.listen(port, () => {
  console.log("server started & running on " + port);
});
